Bug 586559 - QMF: packages are missing wrapped Python Agent and Console
Summary: QMF: packages are missing wrapped Python Agent and Console
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
(Show other bugs)
Version: beta
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Ted Ross
QA Contact: Jeff Needle
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 21:04 UTC by Ken Giusti
Modified: 2014-06-17 18:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-17 18:20:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Giusti 2010-04-27 21:04:52 UTC
Description of problem:

Wrapped Python QMF Agent and Console are not currently packaged.   At a minimum, Agent should be packaged (we have a pure python console available).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ian Main 2010-05-03 18:38:34 UTC
I really think the wrapped python console should be the default "go-to" implementation.  If we don't do that, we will rarely exercise the C++ version and it could be buggy/suffer from bit rot.

Comment 4 Ian Main 2010-05-25 17:32:31 UTC
Well that's very unfortunate.  IMO this should be a priority for an upcoming release.

Comment 5 Jan Sarenik 2010-05-26 13:07:09 UTC
Should this bug be moved to 1.4 target then?

Comment 6 Jan Sarenik 2010-05-26 13:11:57 UTC
At least it should be divided into two bugs:
  - one for Agent QMF Python SWIG bindings --> 1.3
  - the other for Console bindings --> 1.4?

Comment 7 Ken Giusti 2010-05-26 13:57:56 UTC
Wrapped python agent api is to be delivered in 1.3.

Wrapped python console needs more work - post 1.3 - I've opened a bug to track that separately:


https://bugzilla.redhat.com/show_bug.cgi?id=596272

Comment 8 Matthew Farrellee 2010-07-22 16:23:19 UTC
As per QMF meeting 22 July 2010, this is not needed for 1.3 for Grid (no Python Agents, Python Console: condor_configure_pool/store, condor_trigger_config, condor_configd)


Note You need to log in before you can comment on or make changes to this bug.